Subject: Re: "Temporary merge branch 2" Conflicts

From: Stephen Bash <[email-masked]>
Date: Mon, 20 Aug 2012 09:21:41 -0400 (EDT)

----- Original Message -----
> From: "Junio C Hamano" <[email-masked]>
> Sent: Friday, August 17, 2012 5:10:47 PM
> Subject: Re: "Temporary merge branch 2" Conflicts
> 
> Stephen Bash <[email-masked]> writes:
> 
> > What is the recommended method for resolving this sort of merge?
> > kdiff3 obviously doesn't understand the situation.  Do the working
> > tree files contain all the conflicts?  If so, I can just go
> > through by hand and resolve the conflicts the old fashion way.
> 
> Yes.  External tools like kdiff3 may not understand the conflict in
> the working tree, but the files in the working tree should have
> resolved the naturally resolvable bits and only left the conflicted
> bits conflicted.  Just resolve manually if you can, and then look at
> what both branches wanted to do to the file ("git log -p --merge
> $that_path" before you "git add" as the final sanity check would
> work nicely) to make sure your resolution makes sense.

Thanks for the clarification Junio.  I'll take another swipe at it this week now that I know what I'm doing!

Stephen